<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="top|center_horizontal"
    android:orientation="vertical"
    android:paddingTop="40dp">

    <!-- 标题 -->
    <TextView
        android:id="@+id/title_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text=""
        android:visibility="gone" />


    <!-- 图形密码视图 -->
    <com.hikoncont.view.PatternLockView
        android:id="@+id/pattern_lock_view"
        android:layout_width="300dp"
        android:layout_height="wrap_content"
        android:layout_marginBottom="40dp"
        android:visibility="gone" />

    <!-- 数字密码输入视图 -->
    <com.hikoncont.view.PinInputView
        android:id="@+id/pin_input_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="20dp"
        android:visibility="gone" />

    <!-- 4位数字密码输入视图 -->
    <com.hikoncont.view.FourDigitPinView
        android:id="@+id/four_digit_pin_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="20dp"
        android:visibility="gone" />

    <!-- 文本密码输入视图 -->
    <com.hikoncont.view.PasswordInputView
        android:id="@+id/password_input_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="40dp"
        android:layout_marginBottom="40dp"
        android:visibility="gone" />

    <!-- 占位：将下方按钮容器推到页面底部 -->
    <View
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1" />

    <!-- 按钮容器 -->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:layout_marginBottom="20dp"
        android:gravity="center"
        android:orientation="horizontal">

        <!-- 确认按钮 -->
        <Button
            android:id="@+id/confirm_button"
            android:layout_width="120dp"
            android:layout_height="50dp"
            android:layout_marginEnd="20dp"
            android:background="@drawable/button_confirm"
            android:enabled="false"
            android:text="确认"
            android:textColor="@color/black"
            android:textSize="16sp" />

        <!-- 跳过按钮 -->
        <Button
            android:id="@+id/skip_button"
            android:layout_width="120dp"
            android:layout_height="50dp"
            android:background="@drawable/button_skip"
            android:enabled="true"
            android:text="其他密码类型"
            android:textColor="@color/black"
            android:textSize="16sp" />

    </LinearLayout>


</LinearLayout>
